Bug 72669 - Drive Access hangs with ALi1535 & Fujitsu EA Drives
Drive Access hangs with ALi1535 & Fujitsu EA Drives
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 10:45 EDT by RLX Technologies
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 18:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RLX Technologies 2002-08-26 10:45:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1) Gecko/20020314
Netscape6/6.2.2

Description of problem:
Drive access to Fujitsu EA drives (model MHR2040AT) through a ALi1535
SouthBridge (ALi15x3 IDE controller) locks up the controller and installation or
boot fails.  The kernel checks the drive compatibility and determines in can
perform 48-bit sector addressing and in ide-dma.c tries to access the drive with
a 48-bit sector address, which the ALi cannot handle.

This problem was reported to Andre Hedrick who added a patch and is incorporated
in 2.4.20-pre2-ac4.  We would like RH to issue an errata for this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to either install RH 7.3 on a system with an ALi1535 SouthBridge and the
noted Fujitsu (or any ATA-6 compliant) drive.
2. Or take a RH 7.3 install and try to boot it on the described system and it
hangs at the partition check.
3.
	

Actual Results:  Either hangs at install or hangs at boot on the partition check.

Expected Results:  It should have correctly detected the drives and comprehended
that the controller can only perform 28-bit sector addressing.

Additional info:

See patch for ide-dma and ali15x3 in 2.4.20-pre2-ac4
Comment 1 Alan Cox 2002-08-26 11:02:44 EDT
Does ide0=nodma also fix the hang on your devices btw ?
Comment 2 RLX Technologies 2002-08-26 11:14:40 EDT
Actually, none of the ide0 parameters seems to work (noprobe, nodma, notune) 
per linux/Documentation/kernel-parameters.txt
Comment 3 Alan Cox 2002-08-26 13:34:13 EDT
ide=nodma rather
Comment 4 RLX Technologies 2002-08-26 15:36:05 EDT
BTW, this issue is also present in the latest 8.0 (NULL) beta that is out.

Note You need to log in before you can comment on or make changes to this bug.